Package Details: 8192cu-dkms v4.0.2_9000-19

Git Clone URL: https://aur.archlinux.org/8192cu-dkms.git (read-only, click to copy)
Package Base: 8192cu-dkms
Description: Driver for Realtek RTL8188CUS (8188C, 8192C) chipset wireless cards
Upstream URL: http://www.realtek.com.tw/
Licenses: GPL
Conflicts: 8192cu, dkms-8192cu, rt8192cu
Replaces: dkms-8192cu
Submitter: runnytu
Maintainer: runnytu
Last Packager: runnytu
Votes: 99
Popularity: 0.001437
First Submitted: 2014-05-07 21:01
Last Updated: 2020-12-31 14:06

Dependencies (2)

Required by (0)

Sources (3)

Latest Comments

« First ‹ Previous ... 10 11 12 13 14 15 16 17 18 19 20 ... Next › Last »

bricewge commented on 2014-05-07 10:52

I backup izmntuk on removing linux-headers as a dependencies.
Furthermore this package should be renamed 8192cu-dkms by asking it on the mailing list.
Those modification should be done for this package to follow the guidelines as stated there: https://wiki.archlinux.org/index.php/Dkms#Submitting_my_first_DKMS_package

izmntuk commented on 2014-05-07 10:41

Hello, could you please remove linux-headers as a depend? I think people who use non-stock kernel will not need 'linux-headers'.

runnytu commented on 2014-05-06 20:42

Hello, new version with added D-Link DWA-131 device support and power saving off to avoid packet loss.

moonman commented on 2014-05-06 04:39

The patch for d-link has been around for a while and I proposed it a while ago in the comments: https://github.com/archlinuxarm/PKGBUILDs/blob/master/aur/dkms-8192cu/add_missing_ids_netgear_dlink.patch

msauter commented on 2014-05-05 21:07

@runnytu, this driver works great for my D-Link DWA-131 (H/W Ver. B1). If you don't mind saving me from the tmpfiles entry "w /sys/bus/usb/drivers/rtl8192cu/new_id - - - - 2001 330D", it would be much appreciated if you could patch in the following after line 139 of os_dep/linux/usb_intf.c:
{USB_DEVICE(0x2001, 0x330D)}, /* D-Link DWA-131 (H/W Ver. B1) */ \
Thank you!

runnytu commented on 2014-05-05 20:10

Hello, new version with added ISY devices support.

joanmanel commented on 2014-05-05 17:16

After last linux update, I am getting: modprobe: ERROR: could not insert '8192cu': Device or resource busy
error: command failed to execute correctly

ckafi commented on 2014-05-04 18:59

Could you add this patch for ISY dongle support?

--- a/os_dep/linux/usb_intf.c 2013-09-11 05:56:55.000000000 +0200
+++ b/os_dep/linux/usb_intf.c 2014-05-04 20:39:38.623365654 +0200
@@ -102,6 +102,7 @@
{USB_DEVICE(0x103C, 0x1629)},/* HP - Lite-On ,8188CUS Slim Combo */ \
{USB_DEVICE(0x2001, 0x3308)},/* D-Link - Alpha */ \
{USB_DEVICE(0x050D, 0x1102)},/* Belkin - Edimax */ \
+ {USB_DEVICE(0x050D, 0x11F2)},/* ISY - Edimax */ \
{USB_DEVICE(0x2019, 0xAB2A)},/* Planex - Abocom */ \
{USB_DEVICE(0x20F4, 0x648B)},/* TRENDnet - Cameo */ \
{USB_DEVICE(0x4855, 0x0090)},/* - Feixun */ \

runnytu commented on 2014-05-04 13:12

Hello, new version with added N150MA devices support.

franmod commented on 2014-05-01 14:06

Hi,

I have tested this module with my wifi usb dongle and it works fine.
This is the network adaptor (It's seen as a Netgear device).

http://www.on-networks.com/products/adapters/n150ma.aspx

Could you add this line to os_dep/linux/usb_intf.c on line 113 ?

{USB_DEVICE(0x0846, 0x9042)}, \

Thanks!